Memcached::fetch
Memcached::flush
Memcached
PHP Manual

# Memcached::fetchAll

Fetch all the remaining results

### Description

public array Memcached::fetchAll ( void )

Memcached::fetchAll retrieves all the remaining results from the last request.

### Parameters

This function has no parameters.

### Return Values

Returns the results or `FALSE` on failure. Use Memcached::getResultCode if necessary.

### Examples

Example #1 Memcached::getDelayed example

`<?php
$m = new Memcached();
$m->addServer('localhost', 11211);
$m->set('int', 99);
$m->set('string', 'a simple string');
$m->set('array', array(11, 12));
$m->getDelayed(array('int', 'array'), true);
var_dump($m->fetchAll());
?>`

The above example will output:

    array(2) {
      [0]=>
      array(3) {
        ["key"]=>
        string(3) "int"
        ["value"]=>
        int(99)
        ["cas"]=>
        float(2363)
      }
      [1]=>
      array(3) {
        ["key"]=>
        string(5) "array"
        ["value"]=>
        array(2) {
          [0]=>
          int(11)
          [1]=>
          int(12)
        }
        ["cas"]=>
        float(2365)
      }
    }

### See Also

- Memcached::fetch
- Memcached::getDelayed